
use strict;
use warnings;
use Config::JFDI;
use Getopt::Long;
use FindBin;
use lib "$FindBin::Bin/../lib";
use StandaloneApp1;

my ( $first_name, $last_name, $email );

GetOptions(
    'first-name=s' => \$first_name,
    'last-name=s' => \$last_name,
    'email=s' => \$email,
);

die "Please use --first-name, --last-name and --email parameters\n"
  unless $first_name and $last_name and $email;

my $config = Config::JFDI->new( name => 'WebApp', path => "$FindBin::Bin/.." )->get;
my $database_file = $config->{'Model::DB'}{args}{database_file};

my $app = StandaloneApp1->new( { database_file => $database_file } );

$app->add( { first_name => $first_name, last_name => $last_name, email => $email } );
